Overview | Package | Class | Use | Tree | Deprecated | Index
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.eclipse.emf.ecp.view.template.style.tableValidation.model
Interface VTTableValidationPackage.Literals

Enclosing interface:
  VTTableValidationPackage

    public static interface VTTableValidationPackage.Literals

Defines literals for the meta objects that represent

- each class,
- each feature of each class,
- each operation of each class,
- each enum,
- and each data type

Field Summary
`static org.eclipse.emf.ecore.EClass` | `TABLE_VALIDATION_STYLE_PROPERTY` The meta object literal for the ' `Style Property`' class.
`static org.eclipse.emf.ecore.EAttribute` | `TABLE_VALIDATION_STYLE_PROPERTY__COLUMN_NAME` The meta object literal for the 'Column Name' attribute feature.
`static org.eclipse.emf.ecore.EAttribute` | `TABLE_VALIDATION_STYLE_PROPERTY__COLUMN_WIDTH` The meta object literal for the 'Column Width' attribute feature.
`static org.eclipse.emf.ecore.EAttribute` | `TABLE_VALIDATION_STYLE_PROPERTY__IMAGE_PATH` The meta object literal for the 'Image Path' attribute feature.

Field Detail

### TABLE_VALIDATION_STYLE_PROPERTY

    static final org.eclipse.emf.ecore.EClass TABLE_VALIDATION_STYLE_PROPERTY

  The meta object literal for the ' `Style Property`' class.

  See Also:
    `VTTableValidationStylePropertyImpl`, `VTTableValidationPackageImpl.getTableValidationStyleProperty()`

### TABLE_VALIDATION_STYLE_PROPERTY__COLUMN_WIDTH

    static final org.eclipse.emf.ecore.EAttribute TABLE_VALIDATION_STYLE_PROPERTY__COLUMN_WIDTH

  The meta object literal for the 'Column Width' attribute feature.

### TABLE_VALIDATION_STYLE_PROPERTY__COLUMN_NAME

    static final org.eclipse.emf.ecore.EAttribute TABLE_VALIDATION_STYLE_PROPERTY__COLUMN_NAME

  The meta object literal for the 'Column Name' attribute feature.

### TABLE_VALIDATION_STYLE_PROPERTY__IMAGE_PATH

    static final org.eclipse.emf.ecore.EAttribute TABLE_VALIDATION_STYLE_PROPERTY__IMAGE_PATH

  The meta object literal for the 'Image Path' attribute feature.

Overview | Package | Class | Use | Tree | Deprecated | Index
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2015. All Rights Reserved.